function fcy = fuel_costs_yearly(FP, V_ship, CAP, gamma)
% Function gives yearly fuel costs as a funciton of fuel price, speed,
% capacity and scaling factor gamma.

% SFC in [MT/kWh]
% V_ship in Knots
% CAP in TEU
% Fuel price (FP) in usd/MT
% 8760 hours/year
% trandport time factor (TTF) = 0.9
% gamma is the scaling factor

TTF=0.9;        % Transport-time factor
SFC=2*10^-4;    % Specific fuel consumption

    fcy = FP * SFC * 8760 * TTF * P_b(V_ship,CAP,gamma);

end