function [a,b]=stochastic_fuels(fuel_start_HFO, fuel_start_LNG, drift, kappa, sigma, total_time)
% Generates a scenario for the mean reverting HFO and LNG prices

nPeriods=total_time;    % scenario length in years

%% Vectors for storing the scenarios
fuel_scenario_HFO=zeros(1,nPeriods);
fuel_scenario_LNG=zeros(1,nPeriods);

deltat=1;   % time increment in years

dB =  randn(2,nPeriods);
fuel_scenario_HFO(1)=fuel_start_HFO;
fuel_scenario_LNG(1)=fuel_start_LNG;

%% Generating the scenarios
    % HFO
    for i=2:nPeriods
        dFt1 = fuel_scenario_HFO(i-1)*(drift*deltat + sigma*dB(1,i));
        fuel_scenario_HFO(i) = fuel_scenario_HFO(i-1)+dFt1;
    end
    
    % LNG
    
    for i=2:nPeriods
        dFt2 = kappa*(fuel_scenario_HFO(i-1) - fuel_scenario_LNG(i-1)) + fuel_scenario_LNG(i-1)*sigma*dB(2,i);
        fuel_scenario_LNG(i) = fuel_scenario_LNG(i-1)+dFt2;
    end
    

a=fuel_scenario_HFO;
b=fuel_scenario_LNG;

end