function Rev=yearly_revenue(FR,V_ship,CAP, lambda)
% This function gives the yearly revenue in USD.
% FR is fregit rate in USD/TEu, V_hip is in knots, CAP is TEUs lambda is 
% dimentionless scaling factor

CAP_basecase=20000; % Base case design reference is 20 000 TEUs
FR_basecase=1200;   % Base case freight rate is 1200 USD/TEU, which is 
                    % obtained from the reference case Khor et al. (2013)

    Rev = 10^6 * (3.93*V_ship + 66.8) * (CAP/CAP_basecase)^lambda * ...
        (FR/FR_basecase);

end